# Update blocking rule Update the call blocking rule by the specified ID. Endpoint: PUT /callBlockingRules/{id} Version: 1.0.0 Security: Basic, OAuth2.0 ## Path parameters: - `id` (string, required) The ID of the call blocking rule to update. Example: "01KG5BN8Z0HSR2P9GM3K9YA8RE" ## Request fields (application/json): - `direction` (string, required) The direction of the call blocking rule. Can be either INBOUND or OUTBOUND. Enum: "INBOUND", "OUTBOUND" - `name` (string) The name for the call blocking rule. Example: "My Call Block Rule" - `callerCountry` (string) The country code of the inbound call. Example: "US" - `calleeCountry` (string) The country code of the outbound call. Example: "CA" - `callerMatch` (string) Use this field to match the prefixes of an inbound call's phone number. Example: "123" - `calleeMatch` (string) Use this field to match the prefixes of an outbound call's phone number. Example: "456" - `id` (string) The ID of the call blocking rule. Example: "01KG5BN8Z0HSR2P9GM3K9YA8RE" ## Response 200 fields (application/json): - `direction` (string, required) The direction of the call blocking rule. Can be either INBOUND or OUTBOUND. Enum: "INBOUND", "OUTBOUND" - `name` (string) The name for the call blocking rule. Example: "My Call Block Rule" - `callerCountry` (string) The country code of the inbound call. Example: "US" - `calleeCountry` (string) The country code of the outbound call. Example: "CA" - `callerMatch` (string) Use this field to match the prefixes of an inbound call's phone number. Example: "123" - `calleeMatch` (string) Use this field to match the prefixes of an outbound call's phone number. Example: "456" - `id` (string) The ID of the call blocking rule. Example: "01KG5BN8Z0HSR2P9GM3K9YA8RE"